import { db } from "$lib/server/db";
import * as table from "$lib/server/db/schema";
import { redirect } from "@sveltejs/kit";
import { desc } from "drizzle-orm";

export const load = async (event) => {
  if (!event.locals.user) {
    return redirect(302, "/login");
  }
  const floors_length = (await db.select().from(table.floors).orderBy(table.floors.floor)).length;
  if (floors_length == 0) await db.insert(table.floors).values({ floor: 0, url: "/" });

  const floors = await db.select().from(table.floors).orderBy(desc(table.floors.floor));
  return { user: event.locals.user, floors: floors };
};
